Using CURL - Using CURL - Teradata Viewpoint - Teradata Data Lab

Teradata® Viewpoint and Teradata® Data Lab API Reference Guide - 25.05

Deployment
VantageCloud
VantageCore
Edition
VMware
Enterprise
IntelliFlex
Lake
Product
Teradata Data Lab
Teradata Viewpoint
Release Number
25.05
Published
May 2025
ft:locale
en-US
ft:lastEdition
2025-06-05
dita:mapPath
mxj1746771298572.ditamap
dita:ditavalPath
oqt1542232706976.ditaval
dita:id
prd1525780132746
Product Category
Analytical Ecosystem

You can access Viewpoint REST APIs using CURL commands. Following are some examples:

GET

curl -X GET -u <username> "https://<hostname>:9443/api/public/<endpoint>" -H "accept: application/vnd.com.teradata.viewpoint-v1.0+json"

POST

curl -X POST -u <username> "https://<hostname>:9443/api/public/<endpoint>" -H "accept: */*" -H "Content-Type: application/vnd.com.teradata.viewpoint-v1+json" -d "{<request body>}"

PUT

curl -X PUT -u <username> "https://<hostname>:9443/api/public/<endpoint>" -H "accept: */*" -H "Content-Type: application/vnd.com.teradata.viewpoint-v1+json" -d "{<request body>}"

DELETE

curl -X DELETE -u <username> "https://<hostname>:9443/api/public/<endpoint>" -H "accept: */*"
Any requests using these APIs are to your Viewpoint and Data Lab instances and therefore could affect real data.